import { DprClientClass } from './DprClientClass';
declare class DprQueryParamClass extends DprClientClass {
    /**
     * initialises the selected values from the query params
     *
     * @memberof AsyncFilters
     */
    initInputsFromQueryParams(): void;
    /**
     * Initialises the input event listeners
     *
     * @memberof AsyncFilters
     */
    initInputEvents(elements: any): void;
    /**
     * Initialises the query params from default inputs
     *
     * @param {*} elements
     * @memberof DprQueryParamClass
     */
    initQueryParamsFromInputs(elements: any): void;
    /**
     * Sets a single query param from an single input
     *
     * @param {*} input
     * @param {*} toggleCheckbox
     * @memberof DprQueryParamClass
     */
    setQueryParamFromInput(input: any, toggleCheckbox?: boolean, init?: boolean): void;
    /**
     * Sets the query params for checkboxes
     *
     * @param {*} input
     * @param {*} toggle - adds the delete step on toggle
     * @memberof DprQueryParamClass
     */
    setMultiSelectQueryParam(input: any, toggle: any, init: any): void;
    /**
     * Updates the query string and updates the URL
     *
     * @param {*} queryParams
     * @param {*} name
     * @param {*} value
     * @memberof DprQueryParamClass
     */
    updateQueryParam(name: any, value: any, type: any): void;
    /**
     * Clears the query params
     *
     * @memberof DprQueryParamClass
     */
    clearQueryParams(type: any): void;
    /**
     * Given a form element, will extract the formdata
     * as an array of objects and filter out empty values.
     *
     * @param {*} form
     * @return {*}
     * @memberof AsyncFilters
     */
    getFormDataAsObject(form: any, prefix: any): any;
    /**
     * Sets the value of a radio button
     *
     * @param {*} inputs
     * @param {*} value
     * @memberof AsyncFilters
     */
    setMultiSelectValue(inputs: any, value: any): void;
    /**
     * Sets the value of the checkboxes
     *
     * @param {*} inputs
     * @param {*} value
     * @memberof DprQueryParamClass
     */
    setCheckBoxValues(inputs: any, value: any): void;
    removeNoFilterValues(): void;
}
export { DprQueryParamClass };
export default DprQueryParamClass;
